<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Beatles from JSON</title>
</head>

<body>
<?php
	session_start();

	//Report all errors
	error_reporting(E_ALL);

	//read two json files
	$beatles_song_file = file_get_contents("BeatlesSongsTitles.json");
	$beatles_album_file = file_get_contents("BeatlesAlbums.json");

	//decode two json files
	$beatles_songs = json_decode($beatles_song_file);
	$beatles_albums = json_decode($beatles_album_file);
	
	//see if there are any selected songs in the session variable
	if(isset($_SESSION['song_array'])){
		$my_songs=$_SESSION['song_array'];
	}
	else{
		$my_songs=array();
	}
	
	//see if page is resulting from user clicking submit button
	if(isset($_POST['submit'])){
		//store song index in session variable 
		$_SESSION['songIndex']= $_POST['selSong'];
		
		//add current song to array
		array_push($my_songs,$beatles_songs->BeatlesSongTitles[$_POST['selSong']]->SongTitle);
		// $beatles_songs->BeatlesSongTitles[$_POST['selSong']]->SongTitle
		// $beatles_songs is an object with a property call BeatlesSongTitles
		// BeatlesSongTitles is an array so it takes an index (of the selected song) 
		// the above array is an array of objects and for each object we are interested in the SongTitle property
		
		// store the array of songs in the session variable
		$_SESSION['song_array']=$my_songs;
		//print_r ($my_songs);
	}


	
?> 
<h1>Beatles from JSON</h1>

<!-- this form is "self"-handled -->
<form action="json_Beatles.php" method="post">
<?php 

//create a drop-down select 
echo "<select name='selSong'>\n";
$i=0;
foreach ($beatles_songs->BeatlesSongTitles as $aSong)
{
	echo "\t<option ";
	
	//if there is a selected song in the session variables make that song selected in the drop-down
	if(isset($_SESSION['songIndex']) && $_SESSION['songIndex']==$i){
		echo " selected ";
	}
	
	//make the value of the option an index
	echo " value='" . $i++ . "'>";
	//display the songTitle for the user to see
	echo  $aSong->SongTitle;
	echo "</option>\n";
}
echo "</select>\n";

?>
<input name="submit" type="submit" value="Select Song" />
</form>
<?php
	if(isset($_SESSION['songIndex'])){
		$my_album_code = $beatles_songs->BeatlesSongTitles[$_SESSION['songIndex']]->AlbumCode;
		
		$result=null;
		foreach($beatles_albums->BeatlesAlbums as $anAlbum){
			if($my_album_code == $anAlbum->AlbumCode){
				$result = $anAlbum;
				break;
			}
		}
		//echo $result->AlbumCode;
		echo "<img src='img/" . $result->AlbumImage ."' />";
	}
?>
<br /><br />
<h2>Selected Songs</h2>
<textarea col='40' rows='10'>
<?php
//list the songs selected in the session
if(isset($_SESSION['song_array'])){
	for($i=0; $i<sizeof($_SESSION['song_array']);$i++){
		//echo "poop";
	echo $_SESSION['song_array'][$i] . "\n";
	}
}

?>
</textarea>

</body>
</html>